angular.module('focaModalFactura')
    .factory('focaModalFacturaService', [
        '$http',
        'API_ENDPOINT',
        function ($http, API_ENDPOINT) {
            return {
                getFacturasByIdCliente: function (idCliente, idMoneda, fechaDesde, fechaHasta) {
                    return $http.get(
                        API_ENDPOINT.URL + '/factura/cliente/' + idCliente + '/' + idMoneda + '/' +
                        fechaDesde + '/' + fechaHasta + '/' + false);
                },
                enviarFacturaPorMail: function (receiver, factura) {
                    return $http.post(API_ENDPOINT.URL + '/mail',
                        { receiver: receiver, factura: factura });
                }
            };
        }
    ]);
